Foxit PDF SDK

Public Member Functions | List of all members
FSDK.Preflight Class Reference

## Public Member Functions
| Analyze (preflight_setting_data, progress_callback)
| Analyze a PDF file. More...
| AnalyzeAndFixup (preflight_setting_data, progress_callback)
| Analyze and fixup a PDF file. More...
| CanFixup (item_key)
| Check whether the item key can be fixuped or not. More...
| constructor ()
| Constructor.
| GenerateReport (preflight_report_setting_data, progress_callback)
| Generate report after analyzing or fixing. More...
| GetGroupNamesArray (library_type, operate_type)
| Get all group names array corresponding to the library type and operation type. More...
| GetItemKeysArray (group_name)
| Get item keys array with the specific group name. More...
| IsEmpty ()
| Check whether current object is empty or not. More...

## Detailed Description

This class represents a analyze and fixup funciton matches a specified industry profile, check or fixup.

## Member Function Documentation

## ◆ Analyze()

FSDK.Preflight.Analyze | ( | preflight_setting_data | ,
|  | progress_callback |
| ) |  |

Analyze a PDF file.

Parameters

  [in] | preflight_setting_data | The preflight setting data.
  [in] | progress_callback | A FSDK.ProgressCallback object which is implemented by user and can be used to get progress data.

Returns
  None.

## ◆ AnalyzeAndFixup()

FSDK.Preflight.AnalyzeAndFixup | ( | preflight_setting_data | ,
|  | progress_callback |
| ) |  |

Analyze and fixup a PDF file.

Parameters

  [in] | preflight_setting_data | The preflight setting data.
  [in] | progress_callback | A FSDK.ProgressCallback object which is implemented by user and can be used to get progress data.

Returns
  None.

## ◆ CanFixup()

FSDK.Preflight.CanFixup | ( | item_key |  | ) |

Check whether the item key can be fixuped or not.

Parameters

  [in] | item_key | The item key. It can be retrieved by FSDK.Preflight.GetItemKeysArray.

Returns
  true means can be fixuped, while false means can not be fixuped.

## ◆ GenerateReport()

FSDK.Preflight.GenerateReport | ( | preflight_report_setting_data | ,
|  | progress_callback |
| ) |  |

Generate report after analyzing or fixing.

Parameters

  [in] | preflight_report_setting_data | The preflight report setting data.
  [in] | progress_callback | A FSDK.ProgressCallback object which is implemented by user and can be used to get progress data.

Returns
  true means success, while false means failure.

## ◆ GetGroupNamesArray()

FSDK.Preflight.GetGroupNamesArray | ( | library_type | ,
|  | operate_type |
| ) |  |

Get all group names array corresponding to the library type and operation type.

Parameters

  [in] | library_type | The library type.

Please refer to values starting from FSDK.PreflightSettingData.e_LibraryTypeFoxit and this should be one of these values.

Parameters

  [in] | operate_type | The operate type. Please refer to values starting from FSDK.PreflightSettingData.e_OperateTypeProfiles and this should be one of these values.

Returns
  The group names array.

## ◆ GetItemKeysArray()

FSDK.Preflight.GetItemKeysArray | ( | group_name |  | ) |

Get item keys array with the specific group name.

Parameters

  [in] | group_name | The group name which can obtain from the FSDK.Preflight.GetGroupNamesArray interface.

Returns
  The item keys array.

## ◆ IsEmpty()

FSDK.Preflight.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.